import { DesktopChecker as o } from "@accelbyte/sdk";
import e from "react";
import n from "./accelbyte-widgets186.mjs";
class r extends e.Component {
  componentDidMount() {
    o.isDesktopApp() || (window.opener && window.opener.postMessage(window.location.href, "*"), window.parent.postMessage(window.location.href, window.location.origin));
  }
  render() {
    return /* @__PURE__ */ e.createElement("div", { className: n.paymentSuccessCallbackContainer });
  }
}
export {
  r as default
};
